#
# spec file for package xfce4-panel-plugin-xkb
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-xkb-plugin

Name:           xfce4-panel-plugin-xkb
Version:        0.5.6
Release:        8.1
Summary:        XKB Layout Switcher Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.5/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libwnck-1.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxklavier)
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The XKB plugin allows to setup and switch between multiple XKB keyboard
layouts.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libexecdir}/xfce4/panel-plugins/xfce4-xkb-plugin
%{_datadir}/xfce4/panel-plugins/xkb-plugin.desktop
%dir %{_datadir}/xfce4/xkb
%{_datadir}/xfce4/xkb/*

%files lang -f %{name}.lang

%changelog
* Thu Jun 20 2013 gber@opensuse.org
- update to version 0.5.6
  - don't reset xkb settings on panel's save signal
  - check that current group number is sensible
  - fix crash in xkb_util_normalize_group_name
  - window title reflects if layout is added/edited
  - don't overwrite XKB options we don't control
  - disable Edit layout button if no layout is selected
  - fix compiler warning
  - use nicer looking flag dimensions in tooltips
* Tue May 14 2013 gber@opensuse.org
- update to version 0.5.5
  - several crashes fixed
  - text labels are scaled to the size of text area
  - kazakh flag added
  - panel 4.10 compatibility
  - reset xkb config when new keyboard is detected (configs should
    no longer be lost, or at least not as often as before)
* Fri Apr 20 2012 gber@opensuse.org
- added documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Wed Apr  4 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Sat Jan  7 2012 gber@opensuse.org
- update to version 0.5.4.3
  - fix error with incorrect handling variants
  - text size on icon is now adjustable
  - new flag: Cambodia
* Mon Dec  5 2011 gber@opensuse.org
- update to version 0.5.4.2
  - text size on icon is now adjustable
  - new flag: Cambodia
  - Bosnian flag renamed from bs to ba
  - code cleanup
  - fixing memory leaks (bnc#734851)
  - scrolling the plugin button cycle through layouts
  - remove unnedeed g_strdup as g_strconcat already allocates memory
  - switch to libxfce4ui, updated dependencies
  - compilation with libxklavier 5.0 API
  - prevent crashing when removing from panel
  - new flag of Georgia
  - new flag of Serbia, removed flag of Yugoslavia as obsoleted
- dropped all patches, all fixes have been integrated upstream
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
